// WtRdCOMDlg.h : 標頭檔
//

#pragma once
#include "afxwin.h"

// CWtRdCOMDlg 對話方塊
class CWtRdCOMDlg : public CDialog
{
// 建構
public:
	CWtRdCOMDlg(CWnd* pParent = NULL);	// 標準建構函式

// 對話方塊資料
	enum { IDD = IDD_WTRDCOM_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支援

// 程式碼實作
protected:
	HICON m_hIcon;

	// 產生的訊息對應函式
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedbtnopencomport();
	afx_msg void OnBnClickedbtnsenddata();
	afx_msg void OnBnClickedbtnexit();
	CComboBox m_CtrlCOMPort;
	afx_msg void OnBnClickedbtnclearrxdata();
	afx_msg void OnBnClickedbtncleartxdata();
	// The read thread handle 

	afx_msg void OnBnClickedbtnclosecomport();
	afx_msg void OnBnClickedbtnclearrxcounter();
	afx_msg void OnBnClickedchkshowrxdata();
	CComboBox m_cblBaudrate;
	afx_msg void OnBnClickedbtnloadfile();
	afx_msg void OnBnClickedbtnsendfile();
	CComboBox m_cblStopbit;
	CComboBox m_cblParityValue;
};
